export const hasDirtySettings = ({
    postTypeSettings,
    originalPostTypeSettings,
    globalInvalidation,
    originalGlobalInvalidation,
    timedInvalidation,
    originalTimedInvalidation,
    invalidationBehavior,
    originalInvalidationBehavior,
    isFeatureSettingsDirty,
    includeNonPublicPostTypes,
    originalIncludeNonPublicPostTypes,
}) =>
    JSON.stringify(postTypeSettings) !== JSON.stringify(originalPostTypeSettings) ||
    JSON.stringify(globalInvalidation) !==
        JSON.stringify(originalGlobalInvalidation) ||
    JSON.stringify(timedInvalidation) !== JSON.stringify(originalTimedInvalidation) ||
    JSON.stringify(invalidationBehavior) !==
        JSON.stringify(originalInvalidationBehavior) ||
    isFeatureSettingsDirty ||
    includeNonPublicPostTypes !== originalIncludeNonPublicPostTypes;
